## pandoc 2.2.1

=== debian/changelog ===
pandoc (2.2.1-3) unstable; urgency=medium

  * Add patch cherry-picked upstream to allow tasty 1.1.
    Thanks to Ilias Tsitsimpis.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update package relations:
    + Relax GHC upper bounds for tasty.
    + Fix relax GHC upper bounds for tasty-quickcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Oct 2018 10:25:47 +0200

pandoc (2.2.1-2) unstable; urgency=medium

  * Fix potential privacy breaches in templates:
    + Add patch 2001 to replace CDN URLs with local paths.
    + Add README.Debian note about Debian packaging favoring locally
      installed resources over network resources for so-called
      standalone documents.
    + Add TODO note about slidy format needing privacy breach fix.
    + Suggest packages libjs-mathjax node-katex, and mention their use
      in long description.
    Closes: Bug#901373. Thanks to Sean Whitton.
  * Mark binary package pandoc-data as Multi-Arch: foreign.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jun 2018 15:33:38 +0200

pandoc (2.2.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix typo in usage comment.
    + Mention gbp option --upstream-vcs-tag in usage comment.
  * Update package relations: Relax GHC upper bounds for texmath.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 09:49:39 +0200

pandoc (2.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Suppress lintian overrides regarding License-Reference for GPL-2.
  * Update Maintainer email address.
  * Declare compliance with Debian Policy 4.1.4.
  * Fix update -doc build-dependencies.
  * Stop repackage upstream source: No longer contains non-DFSG files.
  * Drop all patches: Applied/obsoleted upstream.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Sort main upstream authors.
  * Update long descriptions:
    + Add new readers: EPUB, FictionBook2.
    + Simplify documenting suggested package requirements.
    + Mention use of ghc nodejs php perl python ruby r-base-core as
      filter interpreters.
  * Update package relations:
    + Tighten GHC lower bounds for pandoc-types.
    + Relax GHC upper bounds for exceptions aeson skylighting temporary
      haddock-library.
    + Fix suggest filter interpreters: ghc nodejs php perl python ruby
      r-base-core.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Apr 2018 15:25:44 +0200

pandoc (2.1.2~dfsg-2) unstable; urgency=medium

  * Fix strip trailing / in Vcs-Git URL.
  * Refresh patches, with shortening quilt options.
  * Add patch cherry-picked upstream to bump upper bound for http-types,
    replacing patch 3001.
  * Update copyright info:
    + Fix expand list of main authors, and extend their coverage.
    + Fix revert coverage extension for a few authors (trusting
      copyright headers in files over COPYRIGHT file where they differ).
    + Fix track file licensed GPL-2.
    + Fix track file licensed WTFPL-2.
    + Fix track files licensed ISC.
    + Sort License sections.
    + Wrap License-Grant and License fields using semantic newlines.
    + Drop non-grant text from License-Grant fields.
    + Add License-Grant field to dual-licensed section.
    + Sort licensed of dual-licensing.
    + Fix include verbatim license BSD-3-clause~JohnMacFarlane (not
      generic BSD-3-clause license text).
    + Consistently list License below License-Grant in Files sections.
    + Wrap License section CC-BY-SA-3.0 using semantic newlines.
  * Update package relations:
    + Fix drop GHC lower bounds satisfied even in oldstable.
    + Fix relax to build-depend unversioned on profiling packages.
    + Fix suggest librsvg2-bin groff.
    + Sort GHC build-dependencies.
  * Fix update long descriptions:
    + Add new readers: JATS, TikiWiki markup, Creole 1.0, Emacs Muse,
      Vimwiki.
    + Add new writers JATS, groff ms, Muse, LaTeX beamer slides,
      PowerPoint.
    + Tidy spelling of groff man and JavaScript.
    + Mention use of librsvg2-bin for SVG in PDF output.
    + Mention use of groff for PDF output via groff ms, and groff man
      and groff ms output.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Apr 2018 15:39:47 +0200

pandoc (2.1.2~dfsg-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix watch file.
  * Use package priority optional (not extra: obsolete).
  * Declare compliance with Debian Policy 4.1.3.
  * Update copyright info: Extend coverage for myself.

  [ Sean Whitton ]
  * Team upload.
  * New upstream release (Closes: #891243).
  * Update d/copyright for this release.
  * Add 3001_update_cabal.patch.
  * Drop patches merged upstream.
  * Refresh remaining patches.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Apr 2018 11:43:06 -0700
