## pandoc 2.5

=== debian/changelog ===
pandoc (2.5-3build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:15:18 +0000

pandoc (2.5-3build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:06:42 +0000

pandoc (2.5-3) unstable; urgency=medium

  * Dix broken latex code for horisontal ruler
    previously silently ignored but failing with recent TeXLive.
    Closes: Bug#944978. Thanks to Francesco Poli.
  * Declare compliance with Debian Policy 4.4.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Nov 2019 19:03:47 +0100

pandoc (2.5-2) unstable; urgency=medium

  * Add patch to reference README.Debian when programs are missing.
    Closes: Bug#922418. Thanks to Chris Lamb.
  * Fix consistently rename groff → roff in long description.
  * Use debhelper compatibility level 10.
  * Update watch file: Rewrite usage comment.
  * Fix update README.Debian about packages needed for optional features,
    and include all README.Debian notes in all binary packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Sep 2019 11:22:59 +0200

pandoc (2.5-1) unstable; urgency=medium

  * Update package relations:
    + Tighten GHC lower bounds for texmath pandoc-types skylighting
      hslua hslua-module-text haddock-library.
    + Relax GHC upper bounds for aeson hslua hslua-module-text
      haddock-library juicypixels tasty quickcheck2 zip-archive.
    + Add GHC relations for unicode-transforms hsyaml.
    + Drop GHC relations for yaml scientific.
    + Fix drop GHC relations for mtl parsec3 text (provided by ghc).
  * Drop patch cherry-picked upstream and now applied.
  * Unfuzz patch 2001.
  * Declare compliance with Debian Policy 4.4.0.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Extend coverage of packaging.
  * Update long descriptions:
    + Add new reader: roff man.
    + Add new writer: PowerPoint pptx.
    + Rename writers to roff (from groff).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Sep 2019 03:11:45 +0200
