=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  , Kiwamu Okabe <kiwamu@debian.or.jp>
  , Clint Adams <clint@debian.org>
 Build-Depends: cdbs,
- debhelper,
+ debhelper (>= 10~),
  dh-buildinfo,
  ghc,
  ghc-prof,
  alex,
  happy,
- libghc-aeson-dev (<< 1.4),
+ libghc-aeson-dev (<< 1.5),
  libghc-aeson-prof,
  libghc-aeson-pretty-dev (>= 0.8.5),
  libghc-aeson-pretty-dev (<< 0.9),
@@ -40,13 +40,17 @@
  libghc-exceptions-prof,
  libghc-glob-dev (<< 0.10),
  libghc-glob-prof,
- libghc-haddock-library-dev (<< 1.6),
+ libghc-haddock-library-dev (>= 1.7),
+ libghc-haddock-library-dev (<< 1.8),
  libghc-haddock-library-prof,
- libghc-hslua-dev (>= 0.9.5),
- libghc-hslua-dev (<< 0.9.6),
+ libghc-hslua-dev (>= 1.0.1),
+ libghc-hslua-dev (<< 1.1),
  libghc-hslua-prof,
- libghc-hslua-module-text-dev (<< 0.2),
+ libghc-hslua-module-text-dev (>= 0.2),
+ libghc-hslua-module-text-dev (<< 0.3),
  libghc-hslua-module-text-prof,
+ libghc-hsyaml-dev (<< 0.2),
+ libghc-hsyaml-prof,
  libghc-http-dev (<< 1:4000.4),
  libghc-http-prof,
  libghc-http-client-dev (>= 0.4.30),
@@ -57,29 +61,22 @@
  libghc-http-client-tls-prof,
  libghc-http-types-dev (<< 0.13),
  libghc-http-types-prof,
- libghc-juicypixels-dev (<< 3.3),
+ libghc-juicypixels-dev (<< 3.4),
  libghc-juicypixels-prof,
- libghc-mtl-dev (>= 2.2),
- libghc-mtl-dev (<< 2.3),
- libghc-mtl-prof,
  libghc-network-dev (>= 2.6),
  libghc-network-prof,
  libghc-network-uri-dev (<< 2.7),
  libghc-network-uri-prof,
- libghc-pandoc-types-dev (>= 1.17.4.2),
+ libghc-pandoc-types-dev (>= 1.17.5),
  libghc-pandoc-types-dev (<< 1.18),
  libghc-pandoc-types-prof,
- libghc-parsec3-dev (<< 3.2),
- libghc-parsec3-prof,
  libghc-random-dev (<< 1.2),
  libghc-random-prof,
  libghc-safe-dev (<< 0.4),
  libghc-safe-prof,
- libghc-scientific-dev (<< 0.4),
- libghc-scientific-prof,
  libghc-sha-dev (<< 1.7),
  libghc-sha-prof,
- libghc-skylighting-dev (>= 0.5.1),
+ libghc-skylighting-dev (>= 0.7.4),
  libghc-skylighting-dev (<< 0.8),
  libghc-skylighting-prof,
  libghc-split-dev (<< 0.3),
@@ -91,28 +88,26 @@
  libghc-tagsoup-prof,
  libghc-temporary-dev (<< 1.4),
  libghc-temporary-prof,
- libghc-texmath-dev (>= 0.10),
+ libghc-texmath-dev (>= 0.11),
  libghc-texmath-dev (<< 0.12),
  libghc-texmath-prof,
- libghc-text-dev (<< 1.3),
- libghc-text-prof,
+ libghc-unicode-transforms-dev (<< 0.4),
+ libghc-unicode-transforms-prof,
  libghc-unordered-containers-dev (<< 0.3),
  libghc-unordered-containers-prof,
  libghc-vector-dev (<< 0.13),
  libghc-vector-prof,
  libghc-xml-dev (<< 1.4),
  libghc-xml-prof,
- libghc-yaml-dev (<< 0.9),
- libghc-yaml-prof,
- libghc-zip-archive-dev (<< 0.4),
+ libghc-zip-archive-dev (<< 0.5),
  libghc-zip-archive-prof,
  libghc-zlib-dev (<< 0.7),
  libghc-zlib-prof,
  libghc-diff-dev (<< 0.4),
  libghc-executable-path-dev (<< 0.1),
- libghc-quickcheck2-dev (<< 2.12),
+ libghc-quickcheck2-dev (<< 2.13),
  libghc-tasty-dev (>= 0.11),
- libghc-tasty-dev (<< 1.2),
+ libghc-tasty-dev (<< 1.3),
  libghc-tasty-golden-dev (>= 2.3),
  libghc-tasty-golden-dev (<< 2.4),
  libghc-tasty-hunit-dev (<< 0.11),
@@ -139,11 +134,9 @@
  libghc-http-client-tls-doc,
  libghc-http-types-doc,
  libghc-juicypixels-doc,
- libghc-mtl-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
  libghc-pandoc-types-doc,
- libghc-parsec3-doc,
  libghc-random-doc,
  libghc-safe-doc,
  libghc-scientific-doc,
@@ -154,14 +147,13 @@
  libghc-tagsoup-doc,
  libghc-temporary-doc,
  libghc-texmath-doc,
- libghc-text-doc,
  libghc-unordered-containers-doc,
  libghc-vector-doc,
  libghc-xml-doc,
  libghc-yaml-doc,
  libghc-zip-archive-doc,
  libghc-zlib-doc,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://pandoc.org/
 Vcs-Git: https://salsa.debian.org/haskell-team/pandoc.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc
@@ -185,11 +177,13 @@
  reStructuredText, LaTeX, DocBook,
  JATS, MediaWiki markup, TWiki markup, TikiWiki markup, Creole 1.0,
  Haddock markup, OPML, Emacs Org-mode, Emacs Muse,
- txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2, and Textile,
+ txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2,
+ roff man, and Textile,
  and it can write Markdown, reStructuredText, XHTML, HTML 5,
  LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, JATS, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, ZimWiki, Textile, groff man, groff ms, GNU Texinfo,
+ ConTeXt, DocBook, JATS, OPML, TEI,
+ OpenDocument, ODT, Word docx, PowerPoint pptx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, roff man, roff ms, GNU Texinfo,
  plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
  EPUB (v2 and v3), FictionBook2, InDesign ICML,
  Muse, LaTeX beamer slides, PowerPoint,
@@ -223,7 +217,7 @@
   * LuaTeX output, and PDF output via LuaTeX, require texlive-luatex.
   * ConTeXt output, and PDF output via ConTeXt, require context.
   * PDF output via wkhtmltopdf requires wkhtmltopdf.
-  * Groff man and groff ms output, and PDF output via groff ms, require
+  * Roff man and roff ms output, and PDF output via roff ms, require
     groff.
   * MathJax-rendered equations require libjs-mathjax.
   * KaTeX-rendered equations require node-katex.
@@ -243,11 +237,13 @@
  reStructuredText, LaTeX, DocBook,
  JATS, MediaWiki markup, TWiki markup, TikiWiki markup, Creole 1.0,
  Haddock markup, OPML, Emacs Org-mode, Emacs Muse,
- txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2, and Textile,
+ txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2,
+ roff man, and Textile,
  and it can write Markdown, reStructuredText, XHTML, HTML 5,
  LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, JATS, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, ZimWiki, Textile, groff man, groff ms, GNU Texinfo,
+ ConTeXt, DocBook, JATS, OPML, TEI,
+ OpenDocument, ODT, Word docx, PowerPoint pptx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, roff man, roff ms, GNU Texinfo,
  plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
  EPUB (v2 and v3), FictionBook2, InDesign ICML,
  Muse, LaTeX beamer slides, PowerPoint,
@@ -284,11 +280,13 @@
  reStructuredText, LaTeX, DocBook,
  JATS, MediaWiki markup, TWiki markup, TikiWiki markup, Creole 1.0,
  Haddock markup, OPML, Emacs Org-mode, Emacs Muse,
- txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2, and Textile,
+ txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2,
+ roff man, and Textile,
  and it can write Markdown, reStructuredText, XHTML, HTML 5,
  LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, JATS, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, ZimWiki, Textile, groff man, groff ms, GNU Texinfo,
+ ConTeXt, DocBook, JATS, OPML, TEI,
+ OpenDocument, ODT, Word docx, PowerPoint pptx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, roff man, roff ms, GNU Texinfo,
  plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
  EPUB (v2 and v3), FictionBook2, InDesign ICML,
  Muse, LaTeX beamer slides, PowerPoint,
@@ -321,11 +319,13 @@
  reStructuredText, LaTeX, DocBook,
  JATS, MediaWiki markup, TWiki markup, TikiWiki markup, Creole 1.0,
  Haddock markup, OPML, Emacs Org-mode, Emacs Muse,
- txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2, and Textile,
+ txt2tags, Vimwiki, Word Docx, ODT, EPUB, FictionBook2,
+ roff man, and Textile,
  and it can write Markdown, reStructuredText, XHTML, HTML 5,
  LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, JATS, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, ZimWiki, Textile, groff man, groff ms, GNU Texinfo,
+ ConTeXt, DocBook, JATS, OPML, TEI,
+ OpenDocument, ODT, Word docx, PowerPoint pptx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, roff man, roff ms, GNU Texinfo,
  plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
  EPUB (v2 and v3), FictionBook2, InDesign ICML,
  Muse, LaTeX beamer slides, PowerPoint,
