=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,4 @@
 #!/usr/bin/make -f
-
-# Copyright © 2006-2010 John MacFarlane <jgm@berkeley.edu>
-# Copyright © 2007-2008 Recai Oktaş <roktas@debian.org>
-# Copyright © 2008-2018 Jonas Smedegaard <dr@jones.dk>
-# Description: Main Debian packaging script for Pandoc
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 -include /usr/share/cdbs/1/class/hlibrary.mk
@@ -42,53 +24,50 @@
 # Haskell dependencies for any build from pandoc.cabal
 ghc-deps += syb,<<,0.8
 ghc-deps += unordered-containers,<<,0.3
-ghc-deps += parsec3,<<,3.2
-ghc-deps += mtl,>=,2.2,<<,2.3
 ghc-deps += exceptions,>=,0.8,<<,0.11
-ghc-deps += text,<<,1.3
 ghc-deps += safe,<<,0.4
-ghc-deps += zip-archive,<<,0.4
+ghc-deps += zip-archive,<<,0.5
 ghc-deps += http,<<,1:4000.4
-ghc-deps += texmath,>=,0.10,<<,0.12
+ghc-deps += texmath,>=,0.11,<<,0.12
 ghc-deps += xml,<<,1.4
 ghc-deps += split,<<,0.3
 ghc-deps += random,<<,1.2
-ghc-deps += pandoc-types,>=,1.17.4.2,<<,1.18
-ghc-deps += aeson,<<,1.4
+ghc-deps += pandoc-types,>=,1.17.5,<<,1.18
+ghc-deps += aeson,<<,1.5
 ghc-deps += aeson-pretty,>=,0.8.5,<<,0.9
 ghc-deps += tagsoup,>=,0.14.6,<<,0.15
 ghc-deps += base64-bytestring,<<,1.1
 ghc-deps += zlib,<<,0.7
-ghc-deps += skylighting,>=,0.5.1,<<,0.8
+ghc-deps += skylighting,>=,0.7.4,<<,0.8
 ghc-deps += data-default,<<,0.8
 ghc-deps += temporary,<<,1.4
 ghc-deps += blaze-html,>=,0.9,<<,0.10
 ghc-deps += blaze-markup,>=,0.8,<<,0.9
-ghc-deps += yaml,<<,0.9
-ghc-deps += scientific,<<,0.4
 ghc-deps += vector,<<,0.13
-ghc-deps += hslua,>=,0.9.5,<<,0.9.6
-ghc-deps += hslua-module-text,<<,0.2
+ghc-deps += hslua,>=,1.0.1,<<,1.1
+ghc-deps += hslua-module-text,>=,0.2,<<,0.3
 ghc-deps += sha,<<,1.7
-ghc-deps += haddock-library,<<,1.6
-ghc-deps += juicypixels,<<,3.3
+ghc-deps += haddock-library,>=,1.7,<<,1.8
+ghc-deps += juicypixels,<<,3.4
 ghc-deps += glob,<<,0.10
 ghc-deps += cmark-gfm,<<,0.2
 ghc-deps += doctemplates,>=,0.2.1,<<,0.3
+ghc-deps += network-uri,<<,2.7
+ghc-deps += network,>=,2.6
 ghc-deps += http-client,>=,0.4.30,,<<,0.6
 ghc-deps += http-client-tls,>=,0.2.4,<<,0.4
 ghc-deps += http-types,<<,0.13
 ghc-deps += case-insensitive,>=,1.2,<<,1.3
-ghc-deps += network,>=,2.6
-ghc-deps += network-uri,<<,2.7
+ghc-deps += unicode-transforms,<<,0.4
+ghc-deps += hsyaml,<<,0.2
 
 # Haskell dependencies for testsuite from pandoc.cabal
 ghc-deps-test += diff,<<,0.4
-ghc-deps-test += tasty,>=,0.11,<<,1.2
+ghc-deps-test += tasty,>=,0.11,<<,1.3
 ghc-deps-test += tasty-hunit,<<,0.11
 ghc-deps-test += tasty-quickcheck,<<,0.11
 ghc-deps-test += tasty-golden,>=,2.3,<<,2.4
-ghc-deps-test += quickcheck2,<<,2.12
+ghc-deps-test += quickcheck2,<<,2.13
 ghc-deps-test += executable-path,<<,0.1
 
 # Haskell dependencies (maybe) needed for documentation
