=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

https://hackage.haskell.org/package/@PACKAGE@/distro-monitor \
 .*-@ANY_VERSION@@ARCHIVE_EXT@
